<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>

        <template id="tpstst_report_invoice_document">
            <t t-call="v11_tpstst_custom.report_custom_header">
                <t t-set="o" t-value="o.with_context({'lang':o.partner_id.lang})"/>
                <div class="page">
                    <br/>
                    <h2 class="text-center">
                        <span t-if="o.type == 'out_invoice' and (o.state == 'open' or o.state == 'paid')">INVOICE</span>
                        <span t-if="o.type == 'out_invoice' and o.state == 'draft'">INVOICE</span>
                        <span t-if="o.type == 'out_invoice' and o.state == 'cancel'">Cancelled INVOICE</span>
                        <span t-if="o.type == 'out_refund'">Credit Note</span>
                        <span t-if="o.type == 'in_refund'">Vendor Credit Note</span>
                        <span t-if="o.type == 'in_invoice'">Vendor Bill</span>
                    </h2>
                    <br/>
                    <table class="table">
                        <tr>
                            <td style="border:none; padding: 0px 5px" colspan="1">
                                <strong>INVOICE NO.<span style="padding: 0px 7px;">:</span></strong><span t-field="o.number"/>
                            </td> 
                            <td class="pull-left" style="border:none; padding: 2px 5px" colspan="1"/>
                            <td style="border:none; padding: 0px 0px 0px 0px" colspan="1">
                                <div class="pull-right">
                                    <strong>DATE <span style="margin:0px 12px 0px 7px;">:</span></strong><span t-field="o.date_invoice"/>
                                </div>
                            </td>
                            <td style="border:none; padding: 0px 0px" colspan="1">
                            </td>
                        </tr>
                    </table>

                    <div style="font-size:14px;display:inline-block;">
                        <div style="float:left;padding: 0px 5px;">
                            <strong>BILL TO<span style="padding: 0px 7px 0px 38px;">:</span></strong>
                        </div>
                        <div style="word-wrap: break-word; float:right">
                            <t t-if="o.partner_id">
                                <span t-field="o.partner_id.name"/>
                                <br/>
                                <t t-if="o.partner_id.street">
                                    <span t-field="o.partner_id.street"/>
                                    <br/>
                                </t>
                                <t t-if="o.partner_id.street2">
                                    <span t-field="o.partner_id.street2"/>
                                    <br/>
                                </t>
                                <t t-if="o.partner_id.zip">
                                    <span t-field="o.partner_id.zip"/>
                                </t>
                                <t t-if="o.partner_id.country_id">
                                    <span t-field="o.partner_id.country_id.name"/>
                                </t>
                            </t>
                        </div>
                    </div>
                    <div style="border:none;display: inline-block; padding:3px;">
                        <table style="font-size:14px;border:1px solid black;margin-botton:0px;">
                            <table class="table" style="margin-bottom:0px;">
                                <thead>
                                    <tr>
                                        <th width="75%" class="text-center" style="border:1px solid black; padding: 2px 5px;">DESCRIPTION</th>
                                        <th width="25%" class="text-center" style="border:1px solid black; padding: 2px 5px;">
                                            AMOUNT (S$)
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr t-foreach="o.invoice_line_ids.sorted(key=lambda rec: rec.name)" t-as="l">
                                        <td width="75%" style="border-left:1px solid black;border-right:1px solid black;border-top:0;border-bottom:none;padding: 2px 5px;">
                                            <span t-field="l.name"/>
                                        </td>
                                        <td width="25%" class="text-right" style="border:none;border-left:1px solid black;border-right:1px solid black;border-top:none;padding: 2px 5px;">
                                            <span t-esc="'{0:,.2f}'.format(l.price_unit)" t-field-options="{&quot;widget&quot;: &quot;False&quot;}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="75%" style="border:none;border-left:1px solid black;border-right:1px solid black;border-bottom:none;border-top:none;padding: 2px 5px;">&amp;nbsp;</td>
                                        <td width="25%" class="text-right" style="border:none;border-right:1px solid black;border-top:none;padding: 2px 5px;">&amp;nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>
                            <table class="table" style="margin-bottom:0px;border-left:1px solid black;border-right:1px solid black;">
                                <!-- <t t-if="o.discount_amount != 0.00">
                                    <tr>
                                        <td width="75%" style="border:1px solid black;border-bottom:none;border-top:none;padding: 2px 5px;">
                                            DISCOUNT TOTAL
                                        </td>
                                        <td width="25%" class="text-right" style="border:1px solid black;bottom:none;border-top:none;padding: 2px 5px;">
                                            <t t-if="o.discount_amount &gt; 0">
                                                -<span t-esc="'{0:,.2f}'.format(o.discount_amount)"
                                                t-field-options="{&quot;widget&quot;: &quot;False&quot;}"/>
                                            </t>
                                            <t t-if="o.discount_amount &lt;= 0">
                                                0.00
                                            </t>
                                        </td>
                                    </tr>
                                <t/> -->
                                <tr>
                                    <td width="75%" style="border-right:1px solid black;border-left:1px solid black;border-top:1px solid black;border-bottom:none;padding: 2px 5px;">
                                        <span>SUB TOTAL</span>
                                    </td>
                                    <td width="25%" class="text-right" style="border-right:1px solid black;border-left:1px solid black;border-top:1px solid black;padding: 2px 5px;">
                                        <t t-if="o.amount_untaxed &gt; 0">
                                            <span t-esc="'{0:,.2f}'.format(o.amount_untaxed)"
                                                t-field-options="{&quot;widget&quot;: &quot;False&quot;}"/>
                                        </t>
                                        <t t-if="o.amount_untaxed &lt;= 0">
                                            -
                                        </t>
                                    </td>
                                </tr>
                                <tr>
                                    <td width="75%" style="border-right:1px solid black;border-left:1px solid black;border-top:none;border-bottom:none;padding: 2px 5px;"><![CDATA[&nbsp;]]></td>
                                    <td width="25%" class="text-right" style="border-right:1px solid black;border-left:1px solid black;border-top:none;border-bottom:none;padding: 2px 5px;"><![CDATA[&nbsp;]]></td>
                                </tr>
                                <t t-if="o.amount_tax &gt; 0">
                                    <tr>
                                        <td width="75%" style="border-right:1px solid black;border-left:1px solid black;border-top:none;border-bottom:none;padding: 2px 5px;">
                                            ADD GST @ 7%
                                        </td>
                                        <td width="25%" class="text-right" style="border-right:1px solid black;border-left:1px solid black;border-top:none;border-bottom:none;padding: 2px 5px;">
                                            <t t-if="o.amount_tax &gt; 0">
                                                <span t-esc="'{0:,.2f}'.format(o.amount_tax)"
                                                    t-field-options="{&quot;widget&quot;: &quot;False&quot;}"/>
                                            </t>
                                            <t t-if="o.amount_tax &lt;= 0">
                                                0.00
                                            </t>
                                        </td>
                                    </tr>
                                </t>
                                <tr>
                                    <td width="75%" style="border-right:1px solid black;border-left:1px solid black;border-top:none;border-bottom:none;padding: 2px 5px;"><![CDATA[&nbsp;]]></td>
                                    <td width="25%" class="text-right" style="border-right:1px solid black;border-left:1px solid black;border-top:none;border-bottom:none;padding: 2px 5px;"><![CDATA[&nbsp;]]></td>
                                </tr>
                                <tr>
                                    <td width="75%" style="border-right:1px solid black;border-left:1px solid black;border-top:none;border-bottom:1px solid black;padding: 2px 5px;">
                                        <strong>TOTAL AMOUNT DUE :</strong>
                                    </td>
                                    <td width="25%" class="text-right" style="border-right:1px solid black;border-left:1px solid black;border-top:1px solid black;border-bottom:1px solid black;padding: 2px 5px;padding-bottom:0px">
                                        <span>
                                            <t t-if="o.amount_total &gt; 0">
                                                <t t-esc="'{0:,.2f}'.format(o.amount_total)"  t-field-options="{&quot;widget&quot;: &quot;False&quot;}"/>
                                            </t>
                                            <t t-else="">
                                                0.00
                                            </t>
                                        </span>
                                    </td>
                                </tr>
                            </table>
                        </table>
                    </div>
                    <table class="table" font-size="14px">
                        <tr>
                            <td>
                                <p>KINDLY ISSUE CHEQUE CROSSED "A/C PAYEE ONLY" PAYABLE TO : "TPSTST"</p>
                                <p>FOR GIRO PAYMENT OR BANK TRANSFER, PLEASE REMIT TO : </p>
                                <p>TPSTST</p>
                                <p>DBS BANK ACCOUNT NO : 000000000000-000000<br/>
                                    <span style="padding-right:5px;">BANK CODE: 0000</span> <span>BRANCH CODE: 000</span>
                                </p>
                                <p><strong>NOTES: </strong></p>
                                <p>1. PLEASE EMAIL US AT TPSTST@EMAIL.COM PROVIDING THE PAYMENT DETAILS.</p>
                                <p>2. FOR PAYMENT VIA PAYNOW, NO FURTHER ACTION IS REQUIRED.</p>
                            </td>
                        </tr>
                    </table>
                </div>
            </t>
        </template>

        <template id="tpstst_report_invoice">
            <t t-call="web.basic_layout">
                <t t-foreach="docs" t-as="o">
                    <t t-call="v11_tpstst_custom.tpstst_report_invoice_document" t-lang="o.partner_id.lang"/>
                </t>
            </t>
        </template>

    </data>
</odoo>
